Mono(sgen)

NAME
sgen - Mono XML Serializer GENerator

SYNOPSIS

sgen [options]

DESCRIPTION
Generates pre-compilable custom XML serializer classes for specific types.

OPTIONS

--assembly[:filename] , -a
    Specifies the assembly filename to process.

--type[:typefullname] , -t
    Explicitly specifies the runtime type to process.

--reference:[filename] , -r
    Specifies an assembly filename, which is referenced by the target assembly and thus required to process it.

--compiler:[options] , -c
    Specifies compiler options.

--proxytypes , -p
    (Not supported yet.)

--debug , -d
    Indicates the compiler to generate debug information.

--keep , -k
    Indicates the compiler to keep generated temporary source files.

--force , -f
    Indicates the generator to force overwriting existing assembly.

--out:[output-directory] , -o
    Specifies the output directory for resulting files. By default, it is current directory.

--nologo , -n
    Indicates to not print the logo for this tool.

--silent , -s
    Indicates the tool to run silently.

--verbose , -v
    Indicates the tool to be more verbose on its progress.

--help , -?
    Display command line help.

FEATURES

It generates a file which contains a set of classes for custom XML serialization. The resulting classes enable xml serialization faster since it does not have to generate serialization classes dynamically at run time.

Generated classes are supported only after 2.0 profile.

AUTHOR
Written by Lluis Sanchez Gual

COPYRIGHT
Copyright (C) 2006 Novell.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-list for details.

WEB SITE
Visit http://www.mono-project.com for details

SEE ALSO
xsd(1),wsdl(1),genxs(1)